if ( gray == 1 ) {
#	set terminal pngcairo mono size 600,800
	set terminal pngcairo color size 600,800
} else {
	set terminal pngcairo color size 1200,600
}

set xdata time
set timefmt "%s"

if (strlen(interval) > 2) {
	set xtics format "%H"
} else {
	set xtics format "%H:%M"
}

set pointsize 0.2

set output '/dev/shm/temp3.png'

unset border

#set key outside
#set key top left horizontal

set multiplot


if ( gray == 1 ) {
	set size 1, 0.5
	set origin 0.0, 0.5
} else {
	set size 1.0, 0.5
	set origin 0.0, 0.5
}

#if ( ! exists("t_mean")) {
if (1) {

t_mean=25
t_spread=30

h_mean = 50
h_spread = 50

print "using default mean and spread"
}

min_t = t_mean - ( t_spread / 2 )
max_t = t_mean + ( t_spread / 2 )

if ( ! exists("tz_secs") ) {
	tz_secs=7200
}

set ytics nomirror
unset y2tics
set y2range [0:50]

set key horizontal outside top right

# re-formated using awk
#set datafile separator ","

plot \
 "/dev/shm/data.DHT22-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with dots title "DHT22" lt rgb "#ff00ff" \
,"/dev/shm/data.ir-dht22-t-h" using ($1+tz_secs):($2) with dots title "ir" lt rgb "#884400" \
,"/dev/shm/data.stol-dht11-t-h" using ($1+tz_secs):($2) with dots title "stol" lt rgb "#cc4400" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($2) with dots title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($2) with dots title "kupaona" lt rgb "#000088" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($2) with dots title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.hodnik-t-h" using ($1+tz_secs):($2) with dots title "hodnik" lt rgb "#80ff80" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($2) with dots title "sunce" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($2) with dots title "hlad" lt rgb "#0088cc" \
,"/dev/shm/data.DS18B20-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with dots title "DS18B20" lt rgb "#880088" \
,"/dev/shm/data.boiler-d" using ($1+tz_secs):($2 > 0 ? 50 : 0) axes x1y2 with dots title "boiler" lt rgb "#aaaaaa"


if ( exists("lines") && lines == 1 ) {
plot \
 "/dev/shm/data.DHT22-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with lines title "DHT22" lt rgb "#ff00ff" \
,"/dev/shm/data.ir-dht22-t-h" using ($1+tz_secs):($2) with lines title "ir" lt rgb "#884400" \
,"/dev/shm/data.stol-dht11-t-h" using ($1+tz_secs):($2) with lines title "stol" lt rgb "#cc4400" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($2) with lines title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($2) with lines title "kupaona" lt rgb "#000088" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($2) with lines title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.hodnik-t-h" using ($1+tz_secs):($2) with lines title "hodnik" lt rgb "#80ff80" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($2) with lines title "sunce" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($2) with lines title "hlad" lt rgb "#0088cc"  \
,"/dev/shm/data.DS18B20-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with lines title "DS18B20" lt rgb "#880088" \
,"/dev/shm/data.boiler-d" using ($1+tz_secs):($2 > 0 ? 50 : 0) axes x1y2 with dots title "boiler" lt rgb "#aaaaaa"
}

if ( gray == 1 ) {
	set origin 0.0, 0.0
} else {
	set origin 0.0, 0.0
}

set key off

min_h = h_mean - h_spread
max_h = h_mean + h_spread

plot \
 "/dev/shm/data.DHT22-h" using ($1+tz_secs):($2 > min_h && $2 < max_h ? $2 : '') with dots title "DHT22" lt rgb "#ff00ff" \
,"/dev/shm/data.ir-dht22-t-h" using ($1+tz_secs):($3) with dots title "ir" lt rgb "#884400" \
,"/dev/shm/data.stol-dht11-t-h" using ($1+tz_secs):($3) with dots title "stol" lt rgb "#cc4400" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($3) with dots title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($3) with dots title "kupaona" lt rgb "#000088" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($3) with dots title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.hodnik-t-h" using ($1+tz_secs):($3) with dots title "hodnik" lt rgb "#80ff80" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($3) with dots title "sunce" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($3) with dots title "hlad" lt rgb "#0088cc" \
,"/dev/shm/data.boiler-d" using ($1+tz_secs):($2 > 0 ? 50 : 0) axes x1y2 with dots title "boiler" lt rgb "#aaaaaa"

if ( exists("lines") && lines == 1 ) {
plot \
 "/dev/shm/data.DHT22-h" using ($1+tz_secs):($2 > min_h && $2 < max_h ? $2 : '') with lines title "DHT22" lt rgb "#ff00ff" \
,"/dev/shm/data.ir-dht22-t-h" using ($1+tz_secs):($3) with lines title "ir" lt rgb "#884400" \
,"/dev/shm/data.stol-dht11-t-h" using ($1+tz_secs):($3) with lines title "stol" lt rgb "#cc4400" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($3) with lines title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($3) with lines title "kupaona" lt rgb "#000088" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($3) with lines title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.hodnik-t-h" using ($1+tz_secs):($3) with lines title "hodnik" lt rgb "#80ff80" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($3) with lines title "sunce" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($3) with lines title "hlad" lt rgb "#0088cc" \
,"/dev/shm/data.boiler-d" using ($1+tz_secs):($2 > 0 ? 50 : 0) axes x1y2 with dots title "boiler" lt rgb "#aaaaaa"
}
unset multiplot
